package com.ylx.massage.domain;


import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 个人钱包记录表(TConsumptionLog)表实体类
 *
 * @author makejava
 * @since 2024-04-25 16:50:31
 */
@SuppressWarnings("serial")
@Data
@ApiModel(value = "TConsumptionLog", description = "余额记录")
public class TConsumptionLog extends Model<TConsumptionLog> {
    //id
    private String id;
    //金额
    private BigDecimal amount;
    //业务类型 1充值,2余额支付,3技师收益,4技师提现
    private Integer billType;
    //业务单号
    private String billNo;
    //openId
    private String openId;
    //备注
    private String note;
    //系统创建时间
    private Date createTime;
    //系统修改时间
    private Date updateTime;
    //是否删除0否1是
    @TableLogic
    private Integer isDelete;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public Integer getBillType() {
        return billType;
    }

    public void setBillType(Integer billType) {
        this.billType = billType;
    }

    public String getBillNo() {
        return billNo;
    }

    public void setBillNo(String billNo) {
        this.billNo = billNo;
    }

    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 获取主键值
     *
     * @return 主键值
     */
    @Override
    public Serializable pkVal() {
        return this.id;
    }
}

