package com.ylx.massage.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ylx.common.core.domain.R;
import com.ylx.massage.domain.TOrder;


/**
 * 订单表 服务类
 */
public interface TOrderService extends IService<TOrder> {
    /**
     * 添加订单
     */
    public TOrder addOrder(TOrder order);

    /**
     * 支付订单
     */
    public R payOrder(TOrder order) throws Exception;

    /**
     * 拒绝订单
     */
    public Boolean jujue(TOrder order);

    /**
     * 确认服务完成
     * @param order
     * @return
     */
    public Boolean confirm(TOrder order);

    /**
     * 取消订单
     * @param order
     * @return
     */
    public Boolean cancle(TOrder order);


    public TOrder getByNo(String orderNo);

    /**
     * 分页查询领取数据
     * @param page
     * @param param
     * @return
     */
    public Page<TOrder> getAll(Page<TOrder>page, TOrder param);

    void takingOrders(TOrder order);

    void payNotifyOrder(String outTradeNo);
}
